#include <iostream>

using namespace std;

int main()
{
    int n;
    cin>>n;
    int a[n];
    double b[n];
    for(int i=0;i<n;i++){
        cin>>a[i]>>b[i];
    }
    long long s=0,S=0;
    for(int i=0;i<n;i++){
        for(int j=0;j<n;j++){
            if(b[j]>=b[i])
                s+=a[j];
        }
        s=s*(b[i]*100);
        if(s>S)
            S=s;
        s=0;
    }
    cout<<S/10000<<"."<<S%10000;
    return 0;
}